Date: Thu, 13 Nov 1997 10:04:48 GMT
From: Jesper Skov <jskov@cygnus.co.uk>
To: linux-m68k@lists.linux-m68k.org
Cc: Jes.Sorensen@cern.ch
Subject: L68K: Esp bug fix.
Sender: owner-linux-m68k@phil.uni-sb.de

Hi

I thought I had sent this to Jes before the 2.1.61 release, but I
probably forgot. Without this patch the drivers are pretty unstable
(guaranteed to crash :)

JEsper

--- blz1230.c~	Thu Oct 30 18:04:46 1997
+++ blz1230.c	Thu Nov 13 09:23:41 1997
@@ -130,6 +130,7 @@
 		esp->eregs = eregs;
 
 		/* Set the command buffer */
+		esp->esp_command = (volatile unsigned char*) cmd_buffer;
 		esp->esp_command_dvma = VTOP((unsigned long) cmd_buffer);
 
 		esp->irq = IRQ_AMIGA_PORTS;
--- blz2060.c~	Thu Oct 30 18:04:46 1997
+++ blz2060.c	Thu Nov 13 09:24:00 1997
@@ -106,6 +106,7 @@
 		esp->eregs = (struct ESP_regs *)(address + BLZ2060_ESP_ADDR);
 		
 		/* Set the command buffer */
+		esp->esp_command = (volatile unsigned char*) cmd_buffer;
 		esp->esp_command_dvma = VTOP((unsigned long) cmd_buffer);
 
 		esp->irq = IRQ_AMIGA_PORTS;
--- fastlane.c~	Thu Oct 30 18:04:49 1997
+++ fastlane.c	Thu Nov 13 09:24:15 1997
@@ -158,6 +158,7 @@
 		esp->edev = (void *) address;
 		
 		/* Set the command buffer */
+		esp->esp_command = (volatile unsigned char*) cmd_buffer;
 		esp->esp_command_dvma = VTOP((unsigned long) cmd_buffer);
 
 		esp->irq = IRQ_AMIGA_PORTS;
--- cyberstorm.c~	Thu Oct 30 18:04:48 1997
+++ cyberstorm.c	Thu Nov 13 09:24:30 1997
@@ -126,6 +126,7 @@
 		esp->eregs = (struct ESP_regs *)(address + CYBER_ESP_ADDR);
 		
 		/* Set the command buffer */
+		esp->esp_command = (volatile unsigned char*) cmd_buffer;
 		esp->esp_command_dvma = VTOP((unsigned long) cmd_buffer);
 
 		esp->irq = IRQ_AMIGA_PORTS;
--- cyberstormII.c~	Thu Oct 30 18:04:48 1997
+++ cyberstormII.c	Thu Nov 13 09:24:39 1997
@@ -117,6 +117,7 @@
 		esp->eregs = eregs;
 		
 		/* Set the command buffer */
+		esp->esp_command = (volatile unsigned char*) cmd_buffer;
 		esp->esp_command_dvma = VTOP((unsigned long) cmd_buffer);
 
 		esp->irq = IRQ_AMIGA_PORTS;
